This API allows you to download an rss feed in various formats.
https://api.msmc.cc/api
Endpoint: /saverss/save
Methods: GET
Query Parameters:
url - REQUIRED, the url of the feed you want to saveformat - OPTIONAL, the format you want to save inFormat Options:
Valid format options include:
jsonhtmltextmarkdownIf no format is passed, the API defaults to JSON.
Example URL:
https://api.msmc.cc/api/saverss/save?url=https://abcnews.go.com/abcnews/technologyheadlines&format=html
Example Request
curl -L "https://api.msmc.cc/api/saverss/save?url=https://abcnews.go.com/abcnews/technologyheadlines&format=html" \
-o feed.html
Endpoint: /saverss/save
Methods: POST
Body Parameters:
url - REQUIRED, the url of the feed you want to saveformat - OPTIONAL, the format you want to save inFormat Options:
Valid format options include:
jsonhtmltextmarkdownIf no format is passed, the API defaults to JSON.
Example Body:
{
"url":"https://abcnews.go.com/abcnews/technologyheadlines",
"format":"json"
}
Example Request
curl -L \
-X POST "https://api.msmc.cc/api/saverss/save" \
-H "Content-Type: application/json" \
-d '{"url":"https://abcnews.go.com/abcnews/technologyheadlines","format":"json"}'
Example Response:
{
"success":true,
"length":25,
"posts": [{
"title": " What you need to know about Grok and the controversies surrounding it",
"date":"Thu, 15 Jan 2026 12:42:35 -0500",
"text":"Elon Musk's AI assistant, Grok, is facing scrutiny from governments worldwide",
"link":"https://abcnews.go.com/Technology/wireStory/grok-controversies-surrounding-129249139"
}...
]
}
This error occurs when you fail to pass the url parameter in your body or queries.
Example:
{
"success": false,
"error": "missing url query" // in a post request the error is "body missing url"
}
This error occus then the URL you pass is not a valid url. For example this-is-invalid.
Example:
{
"success": false,
"error": "Status code 400"
}
This error occurs then you pass a URL that is valid but is not an rss feed. For example google.com
Example:
{
"success": false,
"error": "Feed not recognized as RSS 1 or 2."
}
For support, email [email protected]